MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002189VCMIOtherpublic2015-05-02 21:352018-04-13 14:28
Reporterjosch 
Assigned ToSXX 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSDebian GNU/LinuxOS Version
Product Version 
Target VersionFixed in Version0.next 
Summary0002189: please consider adding /usr/share/games/vcmi as a data lookup path
DescriptionVcmi stores static game data in /usr/share/vcmi which is totally correct from an XDG point of view. But the FHS (filesystem hierarchy standard) specifies /usr/share/games as the base directory for static game data. So it would be great if vcmi could add /usr/share/games/vcmi as an additional directory to look for game data after having looked in /usr/share/vcmi. That way, Debian could store static game data in /usr/share/games/vcmi without deviating from vcmi upstream in its lookup path. This would be convenient for Debian as most other games in Debian store their static game data in /usr/share/games as well because of the FHS.
TagsNo tags attached.
Attached Files

- Relationships
related to 0002190assignedSXX please consider storing vcmi static data in /usr/share/games/vcmi by default 

-  Notes
(0007241)
SXX (administrator)
2017-08-25 06:06

I just added /usr/share/games/vcmi lookup dir here:
https://github.com/vcmi/vcmi/commit/8180e4d5c5ba9ecd6ba36d8f15af10736b2fa8a3 [^]

Please report back if it's work as intended!
(0007573)
josch (developer)
2018-04-13 13:31

I cannot confirm that it works.

I just built latest git HEAD and I see that lib/VCMIDirs.cpp adds:

ret.push_back(bfs::path("/usr/share/games") / "vcmi");

And I have my data in /usr/share/games/vcmi but when I start vcmi I get:

Error: Heroes III data was not found!
(0007574)
SXX (administrator)
2018-04-13 14:13

@josch
It's won't work if you run it from "bin" in build directory.

I intentionally made VCMI ignore all system-wide data when both binaries and "config", "Mods" directories are together. This way I can be sure that game installed from repository is not interfere with development.

See "IVCMIDirsUNIX::developmentMode".
(0007575)
josch (developer)
2018-04-13 14:27

That makes lots of sense.

But then I don't see why your commit shouldn't work and I guess you can close this bug report. :)

- Issue History
Date Modified Username Field Change
2015-05-02 21:35 josch New Issue
2015-06-24 23:52 AVS Relationship added related to 0002190
2015-09-22 12:59 AVS Assigned To => SXX
2015-09-22 12:59 AVS Status new => assigned
2017-08-25 06:06 SXX Note Added: 0007241
2018-04-13 13:31 josch Note Added: 0007573
2018-04-13 14:13 SXX Note Added: 0007574
2018-04-13 14:27 josch Note Added: 0007575
2018-04-13 14:28 SXX Status assigned => resolved
2018-04-13 14:28 SXX Fixed in Version => 0.next
2018-04-13 14:28 SXX Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean